Retail Express API 2.1

Creates Customer Delivery Address

Sample request:

 POST /customers/{id}/deliveryaddresses
  {
     "country": "Argentina",
     "state": "QLD",
     "suburb": "Maroochydore",
     "address_line1": "address line 1",
     "address_line2": "address line 2",
     "postcode": "4000",
     "company": "Retail Express",
     "mobile": "0405 966 390",
     "phone": "0405966390",
     "first_name": "Bernie",
     "last_name": "Green",
     "default": false
   }
post
https://api.retailexpress.com.au/v2.1/customers/{id}/deliveryaddresses

Path Parameters

idinteger(int32)required

Customer id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Delivery Address model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Delivery Address was created

DeliveryAddress

Delivery Address model

* Additional properties are NOT allowed.
countrystring | null

Country

country_codestring | null

Country Code

statestring | null

State

suburbstring | null

Suburb

address_line1string | null

Address line 1

address_line2string | null

Address line 2

postcodestring | null

Post code

companystring | null

Company

mobilestring | null

Mobile phone

phonestring | null

Phone

first_namestring | null

First name

last_namestring | null

Last Name

idinteger(int32)

Identifier

defaultboolean | null

Is Default

modified_onstring(date-time)

Modified on

post/customers/{id}/deliveryaddresses

Body

{}
 
application/json

Gets specific Delivery Address by unique Customer id and Delivery Address id

Gets specific Delivery Address by unique Customer id and Delivery Address id

get
https://api.retailexpress.com.au/v2.1/customers/{id}/deliveryaddresses/{address_id}

Path Parameters

idinteger(int32)required

Customer id

address_idinteger(int32)required

Delivery Address id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns a Delivery Address

DeliveryAddress

Delivery Address model

* Additional properties are NOT allowed.
countrystring | null

Country

country_codestring | null

Country Code

statestring | null

State

suburbstring | null

Suburb

address_line1string | null

Address line 1

address_line2string | null

Address line 2

postcodestring | null

Post code

companystring | null

Company

mobilestring | null

Mobile phone

phonestring | null

Phone

first_namestring | null

First name

last_namestring | null

Last Name

idinteger(int32)

Identifier

defaultboolean | null

Is Default

modified_onstring(date-time)

Modified on

get/customers/{id}/deliveryaddresses/{address_id}
 
application/json

Deletes specific Delivery Address by unique Customer id and Delivery Address id

Deletes specific Delivery Address by unique Customer id and Delivery Address id

delete
https://api.retailexpress.com.au/v2.1/customers/{id}/deliveryaddresses/{address_id}

Path Parameters

idinteger(int32)required

Customer id

Example:10000

address_idinteger(int32)required

Delivery Address id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Customer Delivery Address deleted

delete/customers/{id}/deliveryaddresses/{address_id}
 

Updates Delivery Address

Sample request:

 PUT /customers/1/deliveryaddresses/2
 {
     "first_name": "John",
     "last_name": "Smith",
     "company": "Melbourne School",
     "address_line1": "1 Any Street",
     "address_line2": "2 Any Street",
     "suburb": "Melbourne",
     "state": "VIC",
     "postcode": "4000",
     "country": "Australia",
     "phone": "0458245689",
     "mobile": "0458245689",
     "default": false
 }
put
https://api.retailexpress.com.au/v2.1/customers/{id}/deliveryaddresses/{address_id}

Path Parameters

idinteger(int32)required

Customer id

Example:10000

address_idinteger(int32)required

Delivery Address id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Delivery Address model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Delivery Address

DeliveryAddress

Delivery Address model

* Additional properties are NOT allowed.
countrystring | null

Country

country_codestring | null

Country Code

statestring | null

State

suburbstring | null

Suburb

address_line1string | null

Address line 1

address_line2string | null

Address line 2

postcodestring | null

Post code

companystring | null

Company

mobilestring | null

Mobile phone

phonestring | null

Phone

first_namestring | null

First name

last_namestring | null

Last Name

idinteger(int32)

Identifier

defaultboolean | null

Is Default

modified_onstring(date-time)

Modified on

put/customers/{id}/deliveryaddresses/{address_id}

Body

{}
 
application/json

Searches Loyalty History by Customer id and other parameters

Searches Loyalty History by Customer id and other parameters

get
https://api.retailexpress.com.au/v2.1/customers/{id}/loyaltyhistory

Query Parameters

filter_bystring | null

Filter by.
Available field name values: created_on, order_id, order_number, product_id, supplier_sku, adjustment_reason_id, loyalty_points_delta, loyalty_points_available, ratio.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: order_id:eq:1, supplier_sku:eq:test

order_bystring | null

Order by.

Available field name values: id, created_on, order_id, product_id, adjustment_reason, loyalty_points_delta.

Available direction values: asc, desc.

Example: id asc, name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Customer id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Loyalty History data

CustomerLoyaltyHistory.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Customer Loyalty History model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customers/{id}/loyaltyhistory
 
application/json